NICE(3) | Library Functions Manual | NICE(3)

# NAME

`nice` —
set program scheduling priority

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <unistd.h>`

int
`nice`(int incr);

# DESCRIPTION

This interface is obsoleted by setpriority(2).

The `nice`() function obtains the scheduling priority of the process from the system and sets it to the priority value specified in incr. The priority is a value in the range -20 to 20. The default priority is 0; lower priorities cause more favorable scheduling. Only a process with appropriate privileges may lower priorities.

Children inherit the priority of their parent processes via fork(2).

# RETURN VALUES

Upon successful completion, `nice`() returns the new nice value minus `NZERO`. Otherwise, -1 is returned, the process' nice value is not changed, and errno is set to indicate the error.

# ERRORS

The `nice`() function will fail if:

[`EPERM`]
  The incr argument is negative and the caller does not have appropriate privileges.

# SEE ALSO

nice(1), fork(2), setpriority(2), renice(8)

# STANDARDS

The `nice`() function conforms to X/Open Portability Guide Issue 4, Version 2 (“XPG4.2”).

# HISTORY

A `nice`() syscall appeared in Version 6 AT&T UNIX.

April 30, 2011 | NetBSD 9.5